### Method

# Gimp Drawable merge_filter

since: 3.0

#### Declaration [src]

    void
    gimp_drawable_merge_filter (
      GimpDrawable* drawable,
      GimpDrawableFilter* filter
    )

#### Description [src]

This procedure applies the specified drawable effect on `drawable` and merge it (therefore before any non-destructive effects are computed).

The `drawable` argument must be the same as the one used when you created the effect with `gimp_drawable_filter_new()`. Once this is run, `filter` is not valid anymore and you should not try to do anything with it. In particular, you must customize the operation’s arguments as received with `gimp_drawable_filter_get_config()` or set the filter’s opacity and blend mode before merging the effect.

Available since: 3.0

#### Parameters

`filter`

  Type: `GimpDrawableFilter`

  The drawable filter to merge.

  The data is owned by the caller of the method.